
state = {}
speed = {}
max_speed = {}
reverse_speed = {}
turn_speed = {}
init_height = {}
offy = {}
offangy = {}
turning = {}
new_y = {}
pos_x = {}
pos_z = {}

-------------------- HUD Locations and Sizes --------------------

 	-- HUD BG --
    --sprite location
    local HUD_spr_posx = 0
    local HUD_spr_posy = 0
    --sprite size
    local HUD_spr_sizex = 100
    local HUD_spr_sizey = 100



player_offpos = 600 --adjusts the player's driving position distance
player_offy = 300 --adjusts the player's driving height

function player_Mech_init(e)
			-- HUD Mech --
    HUD_sprite = LoadImage("scriptbank\\images\\dasher\\000.png")
    HUD_icon = CreateSprite(HUD_sprite)
    SetSpriteSize (HUD_icon,HUD_spr_sizex,HUD_spr_sizey)   
    SetSpriteDepth (HUD_sprite, 100)
    SetSpritePosition(HUD_icon,300,300)

state[e] = "driving"
speed[e] = 160 --starting speed of the Mech
max_speed[e] = 2000  --how fast your boat can go at top speed
reverse_speed[e] = 200 --top speed of boat in reverse
turn_speed[e] = 0.80 --how fast the player's ship can turn (keep below 1 for best results with player angle)

CollisionOff(e)

end 

function player_Mech_main(e)
-------------------- HUD Mech --------------------	
	
       PasteSpritePosition(HUD_icon,HUD_spr_posx,HUD_spr_posy)	   
		  HideHuds()

if player_offpos == nil then 
player_offpos = GetPlayerDistance(e)
end 
if player_offy == nil then 
player_offy = g_Entity[e]['y']-g_PlayerPosY
end 
end
